/* --- ESTILOS DEL HEADER Y EL FOOTER */
@import url("../../../GlobalElements/HeaderFooter/css/stylesHeaderFooter.css");
@import url("../../../GlobalElements/Sponsors/css/styles_sponsors.css");
/* ---------------------------------------------------------------- */

/* Agrego otros estilos necesarios para el header */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Nunito', 'Roboto', sans-serif;
    overflow-x: hidden;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: #000;
}

.line {
    border-bottom: 2px solid #736B02; 
}

strong {
    color: #000000;
    font-weight: bold;
}

.italic {
    color: #000000;
}

.wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; 
    background-color: #F4F4F4;
}

.library_title {
    font-size: 3rem;
    margin-top: 2rem;
    margin-bottom: 3rem;
    text-align: center;
}
  
.container-wrapper {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    flex-direction: row;
}
  
main {
    width: 80%;
    height: 100%;
    margin-bottom: 6rem;
}
  
main .main-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
}

.library {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.library .container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.intro-library {
    width: 70%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-bottom: 4.38rem;
}

.library-paragraph {
    width: 100%;
    line-height: 30px;
    text-align: center;
}

.group-title {
    color: #000000;
    font-size: 1.8rem;
    margin-bottom: 1rem;
}

.library-group {
    width: 90%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    margin: 2rem 0;
}

/* Clases para ocultar y mostrar las distintas categorias de la biblioteca */
.library-group.show-group {
    display: flex;
}

.library-group.hide-group {
    display: none;
}

.library {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.library table {
    margin-bottom: 4rem;
    border-collapse: collapse;
    width: 100%;
}

/* celda de idioma */
.library .cell {
    padding-left: 0;
}

.group-title {
    text-align: center;
    font-weight: 500;
    font-size: 3rem;
    margin-top: 4.38rem;
    margin-bottom: 2.5rem;
}

.library tr {
    text-align: left;
    padding-left: 5px;
    font-size: 1.2rem;
    width: 100%;
}

.library td {
    border-bottom: 1px solid #736B028F;
    padding: 2.5rem 1rem;
    font-size: 1rem;
    width: 50%;
    vertical-align: top;
}

.table-info .p-cell {
    width: 70%;
}

.table-info .s-cell {
    width: 20%;
}

.table-info .l-cell {
    width: 10%;
}

.all-btns {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.btns-categories {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    gap: 1rem;
}

.btn-library {
    background: none;
    border: none;
    font-weight: 600;
    font-size: 1rem;
    border-right: 1px solid #000;
    padding-right: .5rem;
    transition: .2s all ease-in-out;
}

.btn-library.active-btn-categorie {
    color: #736B02;
    text-decoration: underline;
}

.btn-library:hover {
    color: #736B02;
    transition: .2s all ease-in-out;
    cursor: pointer;
}

.t-span {
    display: none;
}

.bc-1 {
    padding-left: 8px;
}

/* Responsive */
@media screen and (max-width: 1450px) {
    .table-info .p-cell {
        padding-right: 6rem;
    }
}

@media screen and (max-width: 1330px) {
    .all-btns {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 1rem;
        max-width: 920px;
        width: 100%;
    }
}

@media screen and (max-width: 1146px) {
    .table-info .p-cell {
        padding-right: 2rem;
    }
}

@media screen and (max-width: 1100px) {
    .table-info .p-cell {
        padding-right: 6rem;
    }
}

@media screen and (max-width: 1140px) {
    /* Estilos para que los sponsors se adapten como columna */
    .wrapper .container-wrapper {
        flex-direction: column;
    }

    .wrapper .library_title {
        margin: 2rem 0;
        font-size: 2rem;
    }
    
      .wrapper .container-wrapper main {
        width: 100%;
    }

    .group-title {
        font-size: 2rem;
    }
}

@media screen and (max-width: 850px) {
    .intro-library {
        margin: 0;
    }

    .group-title {
        font-size: 1.3rem;
    }
}

@media screen and (max-width: 780px) {
    .bc-2 {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }

    .bc-2 button {
        border-left: 1px solid #000;
        width: max-content;
        margin: auto;
        padding-left: .5rem;
    }

    .all-btns {
        margin-top: 1.4rem;
    }
}

@media screen and (max-width: 660px) {
    .intro-library {
        width: 90%;
    }

    .table-headers {
        display: none;
    }

    .group-title {
        margin-bottom: 1rem;
    }

    .table-info {
        display: flex;
        flex-direction: column;
    }

    .t-span {
        display: block;
        text-decoration: underline;
        margin-right: 4px;
        font-weight: bold;
    }

    .library td {
        border: none;
    }

    .library td p {
        padding: 0;
    }

    .library .cell {
        width: 100%;
        margin-bottom: .9rem;
        padding: 0 0;
        display: flex;
        flex-direction: row;
    }

    .table-info {
        border-bottom: 1px solid #736b02;
        margin-bottom: 1.25rem;
    }

    .bc-1 {
        padding-left: 0;
    }
}

@media screen and (max-width: 550px) {
    .group-list {
        margin-left: 2rem;
    }
}

@media screen and (max-width: 370px) {
    .btn-library {
        font-size: .8rem;
    }

/* Estilos y mediaqueries del buscador */
.modal-searchbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
  }
  
  .modal-search {
    background: none;
    border: none;
    width: 100%;
    margin-left: 10px;
  }
  
  .results-container,
  .modal-results-container {
    width: 100%;
    max-width: 1265px;
  }
  
  .results-container .section-title,
  .modal-results-container .section-title {
    font-family: 'Nunito', sans-serif;
    font-size: 1.8rem;
  }
  
  .modal-content .container {
    max-width: 1265px;
    width: 100%;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    margin-top: 2.56rem;
  }
  
  .search-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
  
    border-radius: 15px;
    background: #F1F1F1;
    box-shadow: 0px 2px 10px 1px rgba(0, 0, 0, 0.25);
    border: none;
    width: 100%;
    padding: .44rem .63rem;
  }
  
  .modal-content {
    background: rgba(241, 241, 241, 0.95);
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 1536px;
    max-height: 80%;
    width: 100%;
    overflow: auto;
    position: relative;
    display: flex;
    justify-content: flex-start;;
    align-items: center;
    flex-direction: column;
    margin: 2rem;
    gap: 3.75rem;
    position: relative;
  }
  
  .modal-content .modal-list {
    padding: 0;
    margin: 0;
    margin-left: 1rem;
  }
  
  .modal-content .modal-list .modal-link {
    color: #000;
    text-decoration: none;
    transition: .2s all ease-in-out;
  }
  
  .modal-content .modal-list .modal-link:hover {
    color: #736b02;
    transition: .2s all ease-in-out;
  }
  
  .modal-content .modal-list li {
    margin-bottom: 5px;
    color: #000;
    font-family: 'Nunito', sans-serif;
  }
  
  .item-title {
    text-decoration: underline;
  }
  
  .modal-content button.close-button {
    padding: 5px 10px;
    cursor: pointer;
    background-color: none;
    border: none;
    border-radius: 4px;
    font-size: 25px;
    color: #FF0000;
    background: none;
    margin-left: 2.5rem;
    transition: .2s all ease-in-out;
  }
  
  .modal-content button.close-button:hover {
    transition: .2s all ease-in-out;
    color: #d30303;
  }
  
  .scroll-to-top {
    position: fixed;
    bottom: 120px;
    /* right: 30px; */
    z-index: 1000;
    padding: 10px 15px;
    background-color: #736b02;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 25px;
    transition: .2s all ease-in-out;
    border-radius: 100%;
    box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    -webkit-box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    -moz-box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    width: 50px;
    height: 50px;
  }
  
  .scroll-to-top:hover {
    background-color: #554f02;
    transition: .2s all ease-in-out;
  }
  
  /* RESPONSIVE */
  @media screen and (max-width: 1412px) {
    .results-container, .modal-results-container {
        max-width: 1240px;
        margin-left: 1rem;
    }
  }
  @media screen and (max-width: 800px) {
    .modal-content {
        gap: 1.8rem;
    }
  
    .modal-content .container {
        margin-top: 1.2rem;
    }
  }
  
  @media screen and (max-width: 380px) {
    .modal-content button.close-button {
        margin-left: .5rem;
        font-size: 20px;
    }
  
    .results-container .section-title,
    .modal-results-container .section-title  {
        font-size: 1.4rem;
    }
}

.modal-searchbox {
  display: none;
}